[arch-commits] Commit in cairo/repos (3 files)
Jan Steffens
heftig at archlinux.org
Sat Oct 5 12:25:26 UTC 2019
Date: Saturday, October 5, 2019 @ 12:25:25
Author: heftig
Revision: 363835
archrelease: copy trunk to testing-x86_64
Added:
cairo/repos/testing-x86_64/
cairo/repos/testing-x86_64/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch
(from rev 363834, cairo/trunk/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch)
cairo/repos/testing-x86_64/PKGBUILD
(from rev 363834, cairo/trunk/PKGBUILD)
-----------------------------------------------------------------+
0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch | 27 +++
PKGBUILD | 71 ++++++++++
2 files changed, 98 insertions(+)
Copied: cairo/repos/testing-x86_64/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch (from rev 363834, cairo/trunk/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch)
===================================================================
--- testing-x86_64/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch (rev 0)
+++ testing-x86_64/0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch 2019-10-05 12:25:25 UTC (rev 363835)
@@ -0,0 +1,27 @@
+From d0dccb92c520556aaa02bd1fdf8f2922cef00292 Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens at gmail.com>
+Date: Sat, 5 Oct 2019 14:07:28 +0200
+Subject: [PATCH] image compositor: Remove the right glyph from pixman's cache
+
+We need to use the index including the phase. Otherwise we leave glyphs
+in the cache that cause problems later as indices are reused.
+---
+ src/cairo-image-compositor.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/src/cairo-image-compositor.c b/src/cairo-image-compositor.c
+index 6fccb79f1..79ad69f68 100644
+--- a/src/cairo-image-compositor.c
++++ b/src/cairo-image-compositor.c
+@@ -841,7 +841,7 @@ _cairo_image_scaled_glyph_fini (cairo_scaled_font_t *scaled_font,
+ if (global_glyph_cache) {
+ pixman_glyph_cache_remove (
+ global_glyph_cache, scaled_font,
+- (void *)_cairo_scaled_glyph_index (scaled_glyph));
++ (void *)scaled_glyph->hash_entry.hash);
+ }
+
+ CAIRO_MUTEX_UNLOCK (_cairo_glyph_cache_mutex);
+--
+2.23.0
+
Copied: cairo/repos/testing-x86_64/PKGBUILD (from rev 363834, cairo/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2019-10-05 12:25:25 UTC (rev 363835)
@@ -0,0 +1,71 @@
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Brice Carpentier <brice at daknet.org>
+
+pkgname=cairo
+pkgver=1.17.2+17+g52a7c79fd
+pkgrel=2
+pkgdesc="2D graphics library with support for multiple output devices"
+url="https://cairographics.org/"
+arch=(x86_64)
+license=(LGPL MPL)
+depends=(libpng libxrender libxext fontconfig pixman glib2 lzo)
+makedepends=(librsvg gtk2 poppler-glib libspectre gtk-doc valgrind git)
+checkdepends=(ttf-dejavu gsfonts)
+_commit=52a7c79fd4ff96bb5fac175f0199819b0f8c18fc # master
+source=("git+https://gitlab.freedesktop.org/cairo/cairo.git#commit=$_commit"
+ 0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch)
+sha256sums=('SKIP'
+ '262bf1cebc04eaae93dbfab56045ad800b3b027be303ca2611375645108f171f')
+
+pkgver() {
+ cd cairo
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd cairo
+
+ # https://bugs.archlinux.org/task/63856
+ patch -Np1 -i ../0001-image-compositor-Remove-the-right-glyph-from-pixman-.patch
+
+ # Update gtk-doc
+ cp /usr/share/aclocal/gtk-doc.m4 build/aclocal.gtk-doc.m4
+ cp /usr/share/gtk-doc/data/gtk-doc.make build/Makefile.am.gtk-doc
+
+ # Fix typo
+ sed -i 's/have_png/use_png/g' configure.ac
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd cairo
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-gl \
+ --enable-tee \
+ --enable-svg \
+ --enable-ps \
+ --enable-pdf \
+ --enable-gobject \
+ --enable-gtk-doc \
+ --enable-full-testing \
+ --enable-test-surfaces
+ sed -i 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+ make
+}
+
+check() {
+ cd cairo
+ # FIXME: tests don't pass
+ env CAIRO_TEST_TARGET=image \
+ CAIRO_TEST_TARGET_FORMAT=rgba \
+ CAIRO_TESTS='!pthread-show-text' make -k check || :
+}
+
+package() {
+ cd cairo
+ make DESTDIR="$pkgdir" install
+}
More information about the arch-commits
mailing list